:
: SOXStopServiceAll.bat
: StarOffice X V5.3 T[rXIob`
: (2020/05/22)
:

call %~dp0SetEnv.bat

echo ---- Stop StarOffice X ---- >> %Result%
date /t >> %Result%
time /t >> %Result%

if %IsResourceSV% == YES (
if %IsWebSV% == NO (
	goto ENDWEBOTX
)
)
: IIS
iisreset /stop
%SOBatDir%\RRSLEEP.EXE %SleepTime2%

: WebOTX
call otxadmin stop-domain --force=true domain1
net stop "WebOTX AS 10.3 Agent Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDWEBOTX

: v[XT[o
if not %IsResourceSV% == YES goto ENDPRESENCE
net stop "SO-X Presence Server Distribution Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime5%
net stop "SO-X Presence Server Management Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime5%
:ENDPRESENCE

: XPW[T[o
if not %IsResourceSV% == YES goto ENDSCHEDULE
%SOSPL%\sfoscmd T SuppliesServer
if errorlevel 2 %SOSPL%\sfoscmd K SuppliesServer 
net stop "SO-X Schedule Server"
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
:ENDSCHEDULE

: [T[o
: SO-X Mail INET Service
%SOInstDir%\mail\opt\nec\mail\so_mail minetd stop 180

REM net stop "SO-X Mail Agent Queue Service"
REM %SOBatDir%\RRSLEEP.EXE %SleepTime1%
%SOBatDir%\RRSLEEP.EXE %SleepTime3%
net stop "SO-X Mail SHELL Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
net stop "SO-X Mail CGI Service" /Y
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
net stop "SO-X Mail LOG Service" /Y
%SOBatDir%\RRSLEEP.EXE %SleepTime2%

: LrlbgN[
if not %IsResourceSV% == YES goto ENDCRAWLER
net stop "SO-X FTS BcabCrawler"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDCRAWLER

: eiXT[o
if not %IsResourceSV% == YES goto ENDSEARCHMNT
net stop "SO-X FTS Maintenance"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDSEARCHMNT

: u[J
if not %IsWebSV% == YES goto ENDBROKER
net stop "SO-X FTS Broker"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDBROKER

: T[o
if not %IsResourceSV% == YES goto ENDSEARCHSV
net stop "SO-X FTS Server"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDSEARCHSV

: LrlbgT[o
if not %IsResourceSV% == YES goto ENDCAB
net stop "SO-X Cabinet Server"
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
net stop "PERCIO-CCM Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDCAB

: fBNgAg
if not %IsResourceSV% == YES goto ENDDIRSYNC
net stop "SO-X BizDirSync Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
:ENDDIRSYNC
SC GetKeyName "SO-X BizDirSync Slave Service"
if %ERRORLEVEL% NEQ 0 goto ENDDIRSYNCSLAVE
net stop "SO-X BizDirSync Slave Service"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDDIRSYNCSLAVE

: fBNgT[o
if not %IsResourceSV% == YES goto ENDDIR
rem net stop "EDS Replica"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime2%
net stop "EDS Protocol Server"
%SOBatDir%\RRSLEEP.EXE %SleepTime1%
net stop "EDS Manager"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%
:ENDDIR

: StarOfficeXLbVT[rX
net stop "SO-X Cache Server"
%SOBatDir%\RRSLEEP.EXE %SleepTime2%


: RDB̃T[rX

if not %IsResourceSV% == YES (
	goto ENDDB
) else if %KindOfDBMS% == "SQL2019" (
	goto procedureSQL2019
) else if %KindOfDBMS% == "SQL2019EXP" (
	goto procedureSQL2019EXP
) else if %KindOfDBMS% == "SQL2017" (
	goto procedureSQL2017
) else if %KindOfDBMS% == "SQL2017EXP" (
	goto procedureSQL2017EXP
) else if %KindOfDBMS% == "ORACLE12c" (
	goto procedureORACLE12c
) else if %KindOfDBMS% == "ORACLE18c" (
	goto procedureORACLE18c
) else if %KindOfDBMS% == "ORACLE19c" (
	goto procedureORACLE19c
) else (
	goto ENDDB
)

:procedureSQL2019
rem net stop "SQL Server VSS Writer"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
rem net stop "SQL Full-text Filter Daemon Launcher (MSSQLSERVER)"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server Browser"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server (MSSQLSERVER)"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureSQL2019EXP
rem net stop "SQL Server VSS Writer"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server Browser"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server (SQLEXPRESS)"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureSQL2017
rem net stop "SQL Server VSS Writer"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
rem net stop "SQL Full-text Filter Daemon Launcher (MSSQLSERVER)"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server Browser"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server (MSSQLSERVER)"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureSQL2017EXP
rem net stop "SQL Server VSS Writer"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server Browser"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "SQL Server (SQLEXPRESS)"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureORACLE19c
net stop "OracleServiceSOXSTD"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB19Home1TNSListener"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB19Home1MTSRecoveryService"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
rem net stop "OracleDBConsoleSOXSTD"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureORACLE18c
net stop "OracleServiceSOXSTD"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB18Home1TNSListener"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB18Home1MTSRecoveryService"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
rem net stop "OracleDBConsoleSOXSTD"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:procedureORACLE12c
net stop "OracleServiceSOXSTD"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB12Home1TNSListener"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
net stop "OracleOraDB12Home1MTSRecoveryService"
%SOBatDir%\RRSLEEP.EXE %SleepTime4%
rem net stop "OracleDBConsoleSOXSTD"
rem %SOBatDir%\RRSLEEP.EXE %SleepTime4%
goto ENDDB

:ENDDB

date /t >> %Result%
time /t >> %Result%
